Subject: Bug#1484: Session: Suspending session at ....

From: Fabrice Jaunet <[email-masked]>
Date: Fri, 3 Jul 2020 16:34:03 +0200

Package: x2goserver

Version: 4.1.0.3

Hi,

It's really quite variable.

I can go weeks without having a problem and get my session back every day, as it can happen every morning when I want to resume my session?

Server:

$ uname -a

Linux tethys 4.9.0-12-amd64 #1 SMP Debian 4.9.210-1+deb9u1 (2020-06-07) x86_64 GNU/Linux

$ dpkg -l| grep x2go

ii  libx2go-log-perl                                            4.1.0.3-0x2go1+git20191115.1708+9.main.1    all          Perl X2Go::Log package

ii  libx2go-server-db-perl                                      4.1.0.3-0x2go1+git20191115.1708+9.main.1    amd64        Perl X2Go::Server:DB package

ii  libx2go-server-perl                                         4.1.0.3-0x2go1+git20191115.1708+9.main.1    all          Perl X2Go::Server package

ii  x2go-keyring                                                2019.08.20+git20190820.118+9.main.1         all          GnuPG keys of all X2Go developers and the X2Go archive

ii  x2goserver                                                  4.1.0.3-0x2go1+git20191115.1708+9.main.1    amd64        X2Go server

ii  x2goserver-common                                           4.1.0.3-0x2go1+git20191115.1708+9.main.1    amd64        X2Go Server (common files)

ii  x2goserver-x2goagent                                        4.1.0.3-0x2go1+git20191115.1708+9.main.1    amd64        X2Go Server's X2Go Agent

ii  x2goserver-xsession                                         4.1.0.3-0x2go1+git20191115.1708+9.main.1    all          X2Go Server (Xsession runner)

Clients (same OS):

$ dpkg -l| grep x2go

ii  x2goclient                                                  4.1.2.2-0x2go1+git20200213.1926+9.main.1    amd64        X2Go Client application (Qt4)

When a session is crashed, I can't log in:

"

Echec de la connexion: It is taking too long to suspend the session-to-be-resumed; it possible that the session is in damaged state

"

x2goclient --debug in attached file:

"

x2go-DEBUG-../src/sshmasterconnection.cpp:2065> Executing remote: "bash -l -c 'echo "X2GODATABEGIN:571f4457-dd10-4274-9f48-07df3d7d2824"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2goresume-session fjaunet-54-1593437059_stDMATE_dp24 fullscreen adsl 16m-jpeg-9 us auto 1 both no; echo "X2GODATAEND:571f4457-dd10-4274-9f48-07df3d7d2824";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:2082> New exec channel created.

x2go-DEBUG-../src/sshmasterconnection.cpp:2121> EOF on channel 0x7f6d40010110; SshProcess object: 1

x2go-DEBUG-../src/sshmasterconnection.cpp:2222> EOF sent.

x2go-DEBUG-../src/sshmasterconnection.cpp:2224> Channel closed.

x2go-DEBUG-../src/sshprocess.cpp:532> SSH finished: raw output (stdout): "X2GODATABEGIN:571f4457-dd10-4274-9f48-07df3d7d2824

X2GODATAEND:571f4457-dd10-4274-9f48-07df3d7d2824"

x2go-DEBUG-../src/sshprocess.cpp:538> Have stderr only, something must be wrong.

x2go-DEBUG-../src/sshprocess.cpp:543> SSH finished: false - "it is taking too long to suspend the session-to-be-resumed; it is possible that the session is in a damaged state" (1).

x2go-DEBUG-../src/onmainwindow.cpp:5425> Agent output: "it is taking too long to suspend the session-to-be-resumed; it is possible that the session is in a damaged state"

"

And on the server side:

"

$ cat session.log

...

Error: Failure reading from the peer proxy.

Loop: PANIC! No shutdown of proxy link performed by remote proxy.

Error: Connection with remote peer broken.

Error: Please check the state of your network and retry.

Session: Display failure detected at 'Thu Jul  2 21:01:52 2020'.

Session: Suspending session at 'Thu Jul  2 21:01:52 2020'.

Session: Session suspended at 'Thu Jul  2 21:01:52 2020'.

Session: Resuming session at 'Fri Jul  3 08:18:47 2020'.

_X11TransSocketCreateConnInfo: No space for a new _NXProxyConnInfo for [256].

_X11TransSocketOpenCOTSClient: Unable to create the NX connection info for local.

_X11TransOpen: transport open failed for local/nx,options=/tmp/.x2go-fjaunet/C-fjaunet-54-1593437059_stDMATE_dp24/options:54

Session: Display failure detected at 'Fri Jul  3 08:18:47 2020'.

Session: Suspending session at 'Fri Jul  3 08:18:47 2020'.

...

"

Can you help me, please ?

Is there any way to make sure it doesn't happen again?

Or a solution to force the resume?

Best regards,

-- Fabrice Jaunet Direction du Système d'Information Universite de 
Rennes 1 Pôle Infrastructure / Equipe Réseau Campus de Beaulieu 
[email-masked] Bâtiment 12D